Bug 1257822 - Unable to create GRE network with maximal Segmentation ID
Unable to create GRE network with maximal Segmentation ID
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: lpeer
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 03:19 EDT by Oleksii Baranov
Modified: 2016-04-26 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-15 11:25:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log_exception (11.46 KB, text/plain)
2015-08-28 03:19 EDT, Oleksii Baranov
no flags Details
ksgen_settings.yml (21.69 KB, text/plain)
2015-08-28 03:20 EDT, Oleksii Baranov
no flags Details

  None (edit)
Description Oleksii Baranov 2015-08-28 03:19:02 EDT
Created attachment 1067919 [details]
server.log_exception

Description of problem:

User cannot create the GRE network under the Horizon with the maximum allowed Segmentation id (4294967295)


How reproducible:


Steps to Reproduce:
1. Open Horizon
2. Login as admin.
3. Go to the System->Networks page and click on Create Network
4. Under the Create Network form select: 
  - Name: any
  - Project: any
  - Provider Network Type: GRE
  - Segmentation ID: 4294967294

5. Submit Create Netwrok form by clicking on Create Network button. 

Actual results:
The error alert is displayed ("Error. Failed to create network")

Expected results:
GRE network should be created
Comment 3 Oleksii Baranov 2015-08-28 03:20:22 EDT
Created attachment 1067920 [details]
ksgen_settings.yml
Comment 4 Jakub Libosvar 2015-12-15 11:25:22 EST
In the ks_settings.yml I see CONFIG_NEUTRON_ML2_TUNNEL_ID_RANGES: 1:1000 which sets tunnel_id_ranges to ml2.conf. That means your maximal value is 1000

If closing this bug as NOTABUG. If you still see the issue after setting tunnel_id_ranges to 1:4294967294, feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.